Subject: Re: [PATCH 03/14] lockfile: remove some redundant functions

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Jun 2015 10:40:14 -0700

Michael Haggerty <[email-masked]> writes:

> Remove the following functions and rewrite their callers to use the
> equivalent tempfile functions directly:
>
> * fdopen_lock_file() -> fdopen_tempfile()
> * reopen_lock_file() -> reopen_tempfile()
> * close_lock_file() -> close_tempfile()

Hmph, 

My knee-jerk reaction was "I thought lockfile abstraction was
fine---why do we expose the implementation detail of the lockfile,
which is now happen to be implemented on top of the tempfile API, to
the callers?"  I guess that was also where my comments on 02/14 "why
do callers have to include tempfile.h separately?" came from.

I'm undecided but would trust your judgement until I read thru to
the end of the series ;-).